<?php
/**
 * 活动发布完成
 * $Id: donations_edit_result.php,v 1.1 2020/01/03 11:18:46  Exp $
 * @author lixq
 * @package manager.public_html
 */
// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("14")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestNumber("id");
$action_type = ParamUtil::getRequestString("action_type");
$title = ParamUtil::getRequestString("title");
$comment = ParamUtil::getRequestString("comment");
$max_money = ParamUtil::getRequestString("max_money");
$start_time = ParamUtil::getRequestString("start_time");
$finish_time = ParamUtil::getRequestString("finish_time");
//$money = ParamUtil::getRequestString("money");
$author= ParamUtil::getRequestString("author");

$donations_event_dat = new DonationsEventDat();
if($action_type == "edit"){
  $donations_event_dat = DonationsEventDat::getById($id);
  if ($donations_event_dat == null) {
    // エラー表示
    $message = "对象不存在.";
    $layout_pages = array();
    $layout_pages["left"] = "menu.inc";
    $layout_pages["right"] = "error.inc";
    require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
    exit;
  }
}else{
  $donations_event_dat->status = "NEW"; 
}

$donations_event_dat->title = $title;
$donations_event_dat->comment = $comment;
$donations_event_dat->start_time = $start_time;
$donations_event_dat->finish_time = $finish_time;
$donations_event_dat->max_money = $max_money;
//$volunteer_event_dat->money = $money;

if(empty($author)){
  $donations_event_dat->author = $_account->name;
}else{
  $donations_event_dat->author = $author;
}

if(!empty($_FILES['front_image']['tmp_name'])){
  $upload_file = FileUploadUtil::getScalarFile(@$_FILES["front_image"]);
  $tmp_file_name = date("YmdHis") . "_" . trim(basename($upload_file->name));
  
  $aliHandler = new AliUploadHandler();
  $aliHandler->delete(substr ( $donations_event_dat->front_image, strrpos ( $donations_event_dat->front_image, "/" ) + 1 ));
  $url = $aliHandler->uploadImg($tmp_file_name, $upload_file->tmp_name);
  ErrorLogger::doOutput($url);
  $donations_event_dat->front_image = $url;
}


$donations_event_dat->save();

// ページ
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "donations_edit_result.inc";
$layout_pages["menu_clicked"] = "3-4";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;